{main-user ? throw "No main user"}: {
  pkgs,
  inputs,
  ...
}: {
  home-manager = {
    extraSpecialArgs = {inherit inputs;};
    users = {
      ${main-user} = import ../home.nix {username = main-user;};
    };
  };

  users.users.${main-user} = {
    isNormalUser = true;
    hashedPassword = import ../password.nix;
    extraGroups = [
      "networkmanager"
      "audio"
      "wheel"
      "jellyfin"
    ];
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIFhTExbc9m4dCK6676wGiA8zPjE0l/9Fz2yf0IKvUvg snorre@archlinux"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBtEJ4aQ4nn21ASBlVI54reYnWTefBBI1eUEkL0/adOe work@laptop"
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICPQ3uc8UB9m6NPkXHETTJrzxB6M+SfUiBx6YeWUSADU sxsgamer@gmail.com"
    ];

    shell = pkgs.fish;
  };

  programs.fish = {
    enable = true;
    shellAbbrs = {
      "nrb" = "sudo nixos-rebuild switch --flake /etc/nixos";
      "vmr" = "rm ~/.ssh/known_hosts; ssh root@10.0.0.1";
    };
  };
}
